Browse Source

fix: [vps] make ``TARGET_VERSION`` of ``nextcloud upgrade`` actually work and document it properly

master
Valentin Lab 8 months ago
parent
commit
bd18e77abd
  1. 4
      bin/vps

4
bin/vps

@ -1903,7 +1903,7 @@ cmdline.spec::cmd:nextcloud:run() {
cmdline.spec.gnu upgrade
cmdline.spec:nextcloud:cmd:upgrade:run() {
: :posarg: [TARGET_VERSION] "Source cyclos dump file to restore"
: :posarg: [TARGET_VERSION] "Target version to migrate to"
: :optval: --service,-s "The nexcloud service name (defaults to 'nextcloud')"
local URL
@ -1929,7 +1929,7 @@ cmdline.spec:nextcloud:cmd:upgrade:run() {
## like relation resolution.
## --no-hint to remove the final hint about modifying your
## ``compose.yml``.
compose -q upgrade "$nextcloud_service" --no-hint
compose -q upgrade "$nextcloud_service" --no-hint "$TARGET_VERSION"
errlvl="$?"
after_version=$(nextcloud:src:version)

Loading…
Cancel
Save